package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCampaignType {

    STABLE(1, "固定格式"),
    FREE(2, "自由图文"),
    PAGEPATH(3, "小程序路径"),
    ;

    public static EnumCampaignType getEnum(Integer code) {
        for (EnumCampaignType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCampaignType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
